--------------------------------------------------
-- UT+Quake Sounds Script by Unreal Software    --
-- 22.02.2009 - www.UnrealSoftware.de           --
-- Adds UT and Quake Sounds to your Server      --
--------------------------------------------------

if sample==nil then sample={} end
sample.ut={}

-----------------------
-- INITIAL SETUP     --
-----------------------
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
sample.ut.timer=initArray(32)
sample.ut.level=initArray(32)
sample.ut.fblood=0


-----------------------
-- PREPARE TO FIGHT! --
-----------------------
addhook("startround","sample.ut.startround")
function sample.ut.startround()
	parse("sv_sound \"fun/prepare1_ultimate.wav\"")
	sample.ut.fblood=0
end


-----------------------
-- KILL SOUNDS+MSGS  --
-----------------------
addhook("kill","sample.ut.kill")
function sample.ut.kill(killer,victim,weapon)
	if (os.clock()-sample.ut.timer[killer])>3 then
		sample.ut.level[killer]=0;
	end
	level=sample.ut.level[killer]
	level=level+1
	sample.ut.level[killer]=level
	sample.ut.timer[killer]=os.clock()
	-- FIRST BLOOD?
	if (sample.ut.fblood==0) then
		sample.ut.fblood=1
		parse("sv_sound \"fun/firstblood.wav\"");
		msg (player(killer,"name").." Derramou o Primeiro Sangue de "..player(victim,"name").."!")
	end
	-- HUMILIATION? (KNIFEKILL)
	if (weapon==50) then
		-- HUMILIATION!
		parse("sv_sound \"fun/knife1_ultimate.wav\""); 
		parse("msg 000255255"..player(killer,"name").. " Humilhou "..player(victim,"name").." @C")
		parse("setscore "..killer.." "..player(killer,"score").."+1")
	else
		-- REGULAR KILL
		if (level==1) then
			--msg (player(killer,"name").." Matou 1 Noob! Grande Coisa!")
		elseif (level==2) then
			parse("sv_sound \"fun/doublekill.wav\"");
			msg (player(killer,"name").." Matou 2 Patos!")
		elseif (level==3) then
			parse("sv_sound \"fun/multikill.wav\"")
			msg (player(killer,"name").." Matou 3 Patos!")
		elseif (level==4) then
			parse("sv_sound \"fun/ultrakill.wav\"")
			msg (player(killer,"name").." Matou Mais de 4 Patos!")
		elseif (level==5) then
			parse("sv_sound \"fun/mmmmonster.wav\"")
			msg (player(killer,"name").." Esse Kara  um Monstro!")
		else
			parse("sv_sound \"fun/unstoppable.wav\"")
			msg (player(killer,"name").." Ninguem Para ele! "..level.." KILLS!")
		end
	end
end